Subject: bug#43558: [PATCH]: Fix (forward-comment 1) when end delimiter is escaped.

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Nov 2020 18:10:05 -0500

> Really?  Are there any other programming language modes whose comments
> syntax.c cannot handle without syntax-table text properties?

Yes, a fair number.  Beside the ones that use "long" delimiters, there
are some that put restrictions about where a comment can start (e.g. the
# in `sh` is a normal character when it appears within a word), there's
Scheme's #;(...) "sexp comment" (which we still don't actually handle
correctly), there are cases where there are too many different syntaxes
(e.g. in Pascal you can have (*...*), /*...*/, //...\n and then Emacs
concludes that `(/` is also a valid comment starter), ...

        Stefan